<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:inr="http://mycompany.com/mynamespace">
	<xsl:include href="../format.xsl"/>
	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="$xslShowHelp = 'true'">
				<xsl:call-template name="StyleSheetHelp"/>
			</xsl:when>
			<xsl:otherwise>
				<html>
					<body>
						<h2>Review Check Shots</h2>
						<xsl:for-each select="InRoads/SurveyFieldbook">
							<table border="1">
								<tr>
									<th align="left">Point Name</th>
									<th align="left">Code</th>
									<th align="left">Easting (X)</th>
									<th align="left">Northing (Y)</th>
									<th align="right">Elevation</th>
									<th align="left">Note</th>
								</tr>
								<xsl:for-each select="SurveyPointList">
									<xsl:for-each select="SurveyPoint">
										<xsl:sort select="@name"/>
										<xsl:choose>
											<xsl:when test="substring(@code,1,4) = 'CHEK'">
												<tr style="font-weight:bold" bgcolor="#FFFF66">
													<b>
														<td>
															<xsl:value-of select="inr:columnFormat(string(@name), 15 )"/>
														</td>
														<td>
															<xsl:value-of select="@code"/>
														</td>
														<td>
															<xsl:value-of select="inr:columnFormat(string(inr:eastingFormat(number(@easting), $xslEastingPrecision)),14)"/>
														</td>
														<td>
															<xsl:value-of select="inr:columnFormat(string(inr:northingFormat(number(@northing), $xslNorthingPrecision)),14)"/>
														</td>
														<td>
															<xsl:value-of select="inr:columnFormat(string(inr:elevationFormat(number(@elevation), $xslElevationPrecision)),14)"/>
														</td>
														<xsl:for-each select="Notes">
															<td>
																<xsl:value-of select="@note"/>
															</td>
														</xsl:for-each>
													</b>
												</tr>
											</xsl:when>
											<xsl:otherwise>
												<tr bgcolor="#FFFFFF">
												<xsl:if test="not(@name = following::SurveyPoint/@name)">
													<td>
														<xsl:value-of select="inr:columnFormat(string(@name), 15 )"/>
													</td>
													<td>
														<xsl:value-of select="@code"/>
													</td>
													<td>
														<xsl:value-of select="inr:columnFormat(string(inr:eastingFormat(number(@easting), $xslEastingPrecision)),14)"/>
													</td>
													<td>
														<xsl:value-of select="inr:columnFormat(string(inr:northingFormat(number(@northing), $xslNorthingPrecision)),14)"/>
													</td>
													<td>
														<xsl:value-of select="inr:columnFormat(string(inr:elevationFormat(number(@elevation), $xslElevationPrecision)),14)"/>
													</td>
													<xsl:for-each select="Notes">
														<td>
															<xsl:value-of select="@note"/>
														</td>
													</xsl:for-each>
												</xsl:if>
												</tr>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</xsl:for-each>
							</table>
						</xsl:for-each>
					</body>
				</html>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="StyleSheetHelp">
		<xsl:text>&#xd;</xsl:text>
		<xsl:text>Notes &#xd;&#xd;</xsl:text>
		<xsl:text>    You must select at least one fieldbook in the Survey &#xd;</xsl:text>
		<xsl:text>    XML Report command to get results from this report.&#xd;&#xd;</xsl:text>
		<xsl:text>    We recommend the use of a Survey Style Filter to &#xd;</xsl:text>
		<xsl:text>    restrict the list to traverse (and other reference) &#xd;</xsl:text>
		<xsl:text>    points and CHEK shots to be compared.&#xd;&#xd;</xsl:text>
		<xsl:text>This XSL Style Sheet created by Dennis Folsom, Maine DOT&#xd;</xsl:text>
	</xsl:template>
</xsl:stylesheet>
